package com.community.huiju.feign.entity;

/**
 * 推送海康实体映射类
 * @author weiximei
 */
public class PushPerson {


    /**
     * type : 厂商
     * person : {"openapi_ip_port_http":"服务器地址","appkey":"服务器appkey","secret":"服务器secret","opUserUuid":"操作人员UUID","personNo":"人员编号","personName":"人员姓名","remark":"手机号","deptUuid":"部门uuid"}
     */

    private String type;
    private PersonBean person;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public PersonBean getPerson() {
        return person;
    }

    public void setPerson(PersonBean person) {
        this.person = person;
    }

    public static class PersonBean {
        /**
         * openapi_ip_port_http : 服务器地址
         * appkey : 服务器appkey
         * secret : 服务器secret
         * opUserUuid : 操作人员UUID
         * personNo : 人员编号
         * personName : 人员姓名
         * remark : 手机号
         * deptUuid : 部门uuid
         * card : 卡号
         * expirationTime: 开卡有效期, 值为 0 表示 20 年
         */

        private String openapi_ip_port_http;
        private String appkey;
        private String secret;
        private String opUserUuid;
        private Long personNo;
        private String personName;
        private String remark;
        private String deptUuid;
        private Long card;
        private Integer expirationTime;

        public String getOpenapi_ip_port_http() {
            return openapi_ip_port_http;
        }

        public void setOpenapi_ip_port_http(String openapi_ip_port_http) {
            this.openapi_ip_port_http = openapi_ip_port_http;
        }

        public String getAppkey() {
            return appkey;
        }

        public void setAppkey(String appkey) {
            this.appkey = appkey;
        }

        public String getSecret() {
            return secret;
        }

        public void setSecret(String secret) {
            this.secret = secret;
        }

        public String getOpUserUuid() {
            return opUserUuid;
        }

        public void setOpUserUuid(String opUserUuid) {
            this.opUserUuid = opUserUuid;
        }

        public Long getPersonNo() {
            return personNo;
        }

        public void setPersonNo(Long personNo) {
            this.personNo = personNo;
        }

        public String getPersonName() {
            return personName;
        }

        public void setPersonName(String personName) {
            this.personName = personName;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getDeptUuid() {
            return deptUuid;
        }

        public void setDeptUuid(String deptUuid) {
            this.deptUuid = deptUuid;
        }

        public Long getCard() {
            return card;
        }

        public void setCard(Long card) {
            this.card = card;
        }

        public Integer getExpirationTime() {
            return expirationTime;
        }

        public void setExpirationTime(Integer expirationTime) {
            this.expirationTime = expirationTime;
        }
    }
}
