package com.community.huiju.dao;

import com.community.huiju.model.TpUnitHkSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TpUnitHkSettingMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpUnitHkSetting record);

    int insertSelective(TpUnitHkSetting record);

    TpUnitHkSetting selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpUnitHkSetting record);

    int updateByPrimaryKey(TpUnitHkSetting record);

    /**
     * 根据 小区id 和 单元id
     *
     * @param communityId
     * @param unitId
     * @return
     */
    @ResultMap("BaseResultMap")
    @Select("select * from tp_unit_hk_setting where community_id = #{communityId} and unit_id = #{unitId}")
    TpUnitHkSetting selectByCommunityIdAndUnitId(Integer communityId, Integer unitId);
}