package com.community.huiju.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.TpTicket;
import com.community.huiju.model.TransactionReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 二手交易举报表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-04-08
 */
@Mapper
public interface TransactionReportMapper extends BaseMapper<TransactionReport> {
    /**
     * 举报列表
     * @param page
     * @param reportUserNmae
     * @param reportPhone
     * @return
     */
    List<TransactionReport> transactionReportList(Page page, @Param("reportUserNmae") String reportUserNmae, @Param("reportPhone") String reportPhone,@Param("transactionId") Integer transactionId);
}
