package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpBillOrder;

/**
 * <p>
 * 缴费订单表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-04-18
 */
public interface IBillOrderService extends IService<TpBillOrder> {

    /**
     * 根据订单号，查询 缴费单
     * @param userElement
     * @param orderNumber
     * @return
     */
    ResponseBean getByOrderNumberBillInvoice(UserElement userElement, String orderNumber);

}
